> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pictum.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List icon collections

> Return icon collection metadata keyed by collection prefix.



## OpenAPI

````yaml /openapi.yaml get /v1/icons/collections.json
openapi: 3.1.0
info:
  title: Pictum API
  version: 1.0.0
  description: Render public assets
  license:
    name: MIT
    identifier: MIT
servers:
  - url: https://pictum.dev
    description: Production API
security: []
tags:
  - name: Icons
    description: Browse and render the icon catalog.
  - name: Avatars
    description: Render generated avatars or select seeded realistic portraits.
  - name: QR codes
    description: Render Base64-encoded text as deterministic QR code images.
  - name: Placeholders
    description: Render exact-size placeholder images with optional text and colors.
paths:
  /v1/icons/collections.json:
    get:
      tags:
        - Icons
      summary: List icon collections
      description: Return icon collection metadata keyed by collection prefix.
      operationId: listIconCollections
      responses:
        '200':
          description: Collection metadata keyed by prefix.
          headers:
            ETag:
              $ref: '#/components/headers/ETag'
            Cache-Control:
              $ref: '#/components/headers/CacheControl'
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
        '503':
          $ref: '#/components/responses/CatalogUnavailable'
components:
  headers:
    ETag:
      description: Identifier for conditional requests.
      schema:
        type: string
    CacheControl:
      description: Public browser and shared-cache directives.
      schema:
        type: string
        example: public, max-age=86400, s-maxage=604800, stale-while-revalidate=86400
  responses:
    CatalogUnavailable:
      description: The icon catalog could not be read or resolved.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string

````